
# [@vue/runtime-dom](https://github.com/vuejs/vue-next)

[![Knightly Build](https://github.com/knightlyjs/knightly/blob/main/res/badge.svg?raw=true)](https://github.com/knightlyjs/knightly) ![2020-11-10T00:58:07.217Z](https://img.shields.io/date/1604969887?color=eee&label=)

[**Unofficial**] Nightly build for [vuejs/vue-next@3f99e](https://github.com/vuejs/vue-next/tree/3f99e239e03a8861c462d4ee91feb82066ab3e28), published automatically by [Knightly](https://github.com/knightlyjs/knightly).

| package (`@vue/runtime-dom`) | `@knightly/vue__runtime-dom`                                                                                                                       |
| ---------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| version (`3.0.2*`)           | `3.0.2-knightly-ref-sugar.202011100051`                                                                                                            |
| last commit                  | feat(compiler-sfc): support kebab-case components in `<script setup>` sfc template                                                                 |
| sha (`ref-sugar`)            | `3f99e239e03a8861c462d4ee91feb82066ab3e28`                                                                                                         |
| changes                      | [compare with last release](//github.com/vuejs/vue-next/compare/v3.0.2-knightly-ref-sugar.202011100051...3f99e239e03a8861c462d4ee91feb82066ab3e28) |
| build                        | 2020-11-10T00:58:07.217Z                                                                                                                           |

> [More PRs and branches builds](https://www.npmjs.com/package/@knightly/vue__runtime-dom?activeTab=versions)

### Usage

To replace the package with nightly build:

via `npm`

```bash
npm i @vue/runtime-dom@npm:@knightly/vue__runtime-dom@ref-sugar
```

or edit your `package.json`

```json
"dependencies": {
  "@vue/runtime-dom": "npm:@knightly/vue__runtime-dom@ref-sugar"
}
```


## Packages

| Package                | Knightly                                                                                                                                 |
| ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| `vue`                  | [`@knightly/vue`](https://www.npmjs.com/package/@knightly/vue/v/3.0.2-knightly-ref-sugar.202011100051)                                   |
| `@vue/reactivity`      | [`@knightly/vue__reactivity`](https://www.npmjs.com/package/@knightly/vue__reactivity/v/3.0.2-knightly-ref-sugar.202011100051)           |
| `@vue/shared`          | [`@knightly/vue__shared`](https://www.npmjs.com/package/@knightly/vue__shared/v/3.0.2-knightly-ref-sugar.202011100051)                   |
| `@vue/compiler-core`   | [`@knightly/vue__compiler-core`](https://www.npmjs.com/package/@knightly/vue__compiler-core/v/3.0.2-knightly-ref-sugar.202011100051)     |
| `@vue/compiler-dom`    | [`@knightly/vue__compiler-dom`](https://www.npmjs.com/package/@knightly/vue__compiler-dom/v/3.0.2-knightly-ref-sugar.202011100051)       |
| `@vue/compiler-sfc`    | [`@knightly/vue__compiler-sfc`](https://www.npmjs.com/package/@knightly/vue__compiler-sfc/v/3.0.2-knightly-ref-sugar.202011100051)       |
| `@vue/compiler-ssr`    | [`@knightly/vue__compiler-ssr`](https://www.npmjs.com/package/@knightly/vue__compiler-ssr/v/3.0.2-knightly-ref-sugar.202011100051)       |
| `@vue/runtime-dom`     | [`@knightly/vue__runtime-dom`](https://www.npmjs.com/package/@knightly/vue__runtime-dom/v/3.0.2-knightly-ref-sugar.202011100051)         |
| `@vue/runtime-core`    | [`@knightly/vue__runtime-core`](https://www.npmjs.com/package/@knightly/vue__runtime-core/v/3.0.2-knightly-ref-sugar.202011100051)       |
| `@vue/server-renderer` | [`@knightly/vue__server-renderer`](https://www.npmjs.com/package/@knightly/vue__server-renderer/v/3.0.2-knightly-ref-sugar.202011100051) |

<br>
Knightly v0.4.3
